Get Voting Session Health
curl --request GET \
--url https://api.heybee.app/v1/experiments/{experiment_id}/voting-sessions/{session_id}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/voting-sessions/{session_id}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/voting-sessions/{session_id}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generated_at": "2023-11-07T05:31:56Z",
"recent_events": [
{
"created_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"pair_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason_code": "<string>",
"session_voter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"token_prefix": "<string>"
}
],
"seats": [
{
"anomaly_score": 123,
"avg_decision_ms": 123,
"blocked_reason": "<string>",
"bot_probability": 123,
"created_at": "2023-11-07T05:31:56Z",
"duplicate_attempts": 123,
"fast_vote_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_pair_at": "2023-11-07T05:31:56Z",
"last_vote_at": "2023-11-07T05:31:56Z",
"pair_requests": 123,
"reliability_score": 123,
"token_prefix": "<string>",
"vote_rejections": 123,
"vote_submits": 123
}
],
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"non_choice_responses": 123,
"spend_spent_credits": 123,
"total_votes": 123,
"unique_voters": 123
},
"summary": {
"active_seats": 123,
"avg_decision_ms": 123,
"blocked_attempts": 123,
"duplicate_attempts": 123,
"fast_vote_rate": 123,
"p95_decision_ms": 123,
"pair_requests": 123,
"playback_shortfalls": 123,
"rejection_rate": 123,
"suspicious_seats": 123,
"vote_rejections": 123,
"vote_submits": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Voting Sessions
Get Voting Session Health
Return backend-only anonymous voting telemetry for one voting session.
GET
/
v1
/
experiments
/
{experiment_id}
/
voting-sessions
/
{session_id}
/
health
Get Voting Session Health
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pattern:
^(5m|15m|1h|24h)$Required range:
1 <= x <= 200Response
Successful Response
Available options:
ok, observed, degraded Available options:
5m, 15m, 1h, 24h Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

